Attribute VB_Name = "BitmapModule"
'Dieser Source stammt von http://www.vb-fun.de und kann frei
'in EIGENEN (auch in EIGENEN kommerziellen) Projekten verwendet
'werden. Er darf NICHT auf anderen Webseiten oder Foren ohne
'Quellenangabe verffentlicht werden (siehe hierzu auch die
'Hinweise unter "Urheber- und Kennzeichenrecht" im Impressum).
'Fr eventuelle Schden wird nicht gehaftet.

'Um Fehler oder Fragen zu klren, nutzen Sie bitte unser Forum.
'Ansonsten viel Spa und Erfolg mit diesem Source-Code !

Option Explicit

'Texturen und Bitmaps
Public texBrickWall As DirectDrawSurface7
Public texFloor As DirectDrawSurface7
Public texSky As DirectDrawSurface7
Public texHorizont As DirectDrawSurface7
Public bmpCross As DirectDrawSurface7

Public recCross As RECT
'--------------------------------------------
'Laden der Bitmaps und Texturen
'--------------------------------------------
Public Sub Load_BMP()
    Dim BmpDesc As DDSURFACEDESC2
    Dim TexDesc As DDSURFACEDESC2
    Dim ColKey As DDCOLORKEY
    Dim i As Integer
    
    On Error GoTo ErrOut
        
    TexDesc.ddsCaps.lCaps = DDSCAPS_TEXTURE
    
    'Textur laden
    Set texBrickWall = DD7.CreateSurfaceFromFile(App.Path & "\Texture1.bmp", TexDesc)
    Set texFloor = DD7.CreateSurfaceFromFile(App.Path & "\Texture2.bmp", TexDesc)
    Set texSky = DD7.CreateSurfaceFromFile(App.Path & "\Texture3.bmp", TexDesc)
    Set texHorizont = DD7.CreateSurfaceFromFile(App.Path & "\Texture4.bmp", TexDesc)
    
    'Bitmap laden
    BmpDesc.lFlags = DDSD_CAPS Or DDSD_HEIGHT Or DDSD_WIDTH
    BmpDesc.ddsCaps.lCaps = DDSCAPS_OFFSCREENPLAIN
    BmpDesc.lWidth = 12: BmpDesc.lHeight = 12
    Call SetRect(recCross, 0, 0, 12, 12)
    ColKey.high = (PriSurfPX.lRBitMask Or PriSurfPX.lBBitMask)
    ColKey.low = ColKey.high
    Set bmpCross = DD7.CreateSurfaceFromFile(App.Path & "\Cross.bmp", BmpDesc)
    bmpCross.SetColorKey DDCKEY_SRCBLT, ColKey
    
    Exit Sub
ErrOut:
    MsgBox "Fehler in der Load_BMP-Function" & vbCr & _
        Err.Number & "/" & Err.Description, vbExclamation
End Sub

Public Sub Terminate_BMP()
    Set texBrickWall = Nothing
    Set texFloor = Nothing
    Set texSky = Nothing
    Set texHorizont = Nothing
    Set bmpCross = Nothing
End Sub
